List predictions
curl --request GET \
--url https://api.lumisreach.com/api/v1/predictions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumisreach.com/api/v1/predictions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumisreach.com/api/v1/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumisreach.com/api/v1/predictions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lumisreach.com/api/v1/predictions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lumisreach.com/api/v1/predictions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumisreach.com/api/v1/predictions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"format": "video",
"platforms": [
"tiktok"
],
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"price_cents": 0,
"charged": true,
"result": {
"overall_score": 0,
"overall_score_parts": [
{
"label": "<string>",
"chance": 123,
"weight": 123
}
],
"basis": "history",
"quality": {
"overall": 123,
"hook": {
"score": 123,
"reason": "<string>"
},
"script": {
"score": 123,
"reason": "<string>"
},
"video": {
"score": 123,
"reason": "<string>"
},
"source": "watch"
},
"platforms": [
{
"platform": "tiktok",
"model_version": "<string>",
"percentile": 123,
"relative": {
"likes": {
"low": 123,
"expected": 123,
"high": 123
},
"comments": {
"low": 123,
"expected": 123,
"high": 123
},
"engagement": {
"low": 123,
"expected": 123,
"high": 123
},
"views": {
"low": 123,
"expected": 123,
"high": 123
},
"reposts": {
"low": 123,
"expected": 123,
"high": 123
},
"conversion": {
"low": 123,
"expected": 123,
"high": 123
}
},
"predicted": {
"views": {
"low": 123,
"expected": 123,
"high": 123
},
"likes": {
"low": 123,
"expected": 123,
"high": 123
},
"comments": {
"low": 123,
"expected": 123,
"high": 123
},
"engagement": {
"low": 123,
"expected": 123,
"high": 123
},
"buying_intent_comments": {
"low": 123,
"expected": 123,
"high": 123
}
},
"drivers": [
{
"label": "<string>",
"impact": 123,
"detail": "<string>"
}
],
"history_posts": 0
}
],
"total": {
"views": {
"low": 123,
"expected": 123,
"high": 123
},
"likes": {
"low": 123,
"expected": 123,
"high": 123
},
"comments": {
"low": 123,
"expected": 123,
"high": 123
},
"engagement": {
"low": 123,
"expected": 123,
"high": 123
}
},
"likely_comments": [
{
"author": "<string>",
"text": "<string>",
"tone": "positive"
}
],
"tips": [
"<string>"
]
}
}
],
"meta": {
"page_size": 0,
"cursor": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Predictions
List predictions
The workspace’s predictions, newest first. Filter by status; page with meta.cursor.
GET
/
v1
/
predictions
List predictions
curl --request GET \
--url https://api.lumisreach.com/api/v1/predictions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumisreach.com/api/v1/predictions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumisreach.com/api/v1/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumisreach.com/api/v1/predictions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lumisreach.com/api/v1/predictions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lumisreach.com/api/v1/predictions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumisreach.com/api/v1/predictions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"format": "video",
"platforms": [
"tiktok"
],
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"price_cents": 0,
"charged": true,
"result": {
"overall_score": 0,
"overall_score_parts": [
{
"label": "<string>",
"chance": 123,
"weight": 123
}
],
"basis": "history",
"quality": {
"overall": 123,
"hook": {
"score": 123,
"reason": "<string>"
},
"script": {
"score": 123,
"reason": "<string>"
},
"video": {
"score": 123,
"reason": "<string>"
},
"source": "watch"
},
"platforms": [
{
"platform": "tiktok",
"model_version": "<string>",
"percentile": 123,
"relative": {
"likes": {
"low": 123,
"expected": 123,
"high": 123
},
"comments": {
"low": 123,
"expected": 123,
"high": 123
},
"engagement": {
"low": 123,
"expected": 123,
"high": 123
},
"views": {
"low": 123,
"expected": 123,
"high": 123
},
"reposts": {
"low": 123,
"expected": 123,
"high": 123
},
"conversion": {
"low": 123,
"expected": 123,
"high": 123
}
},
"predicted": {
"views": {
"low": 123,
"expected": 123,
"high": 123
},
"likes": {
"low": 123,
"expected": 123,
"high": 123
},
"comments": {
"low": 123,
"expected": 123,
"high": 123
},
"engagement": {
"low": 123,
"expected": 123,
"high": 123
},
"buying_intent_comments": {
"low": 123,
"expected": 123,
"high": 123
}
},
"drivers": [
{
"label": "<string>",
"impact": 123,
"detail": "<string>"
}
],
"history_posts": 0
}
],
"total": {
"views": {
"low": 123,
"expected": 123,
"high": 123
},
"likes": {
"low": 123,
"expected": 123,
"high": 123
},
"comments": {
"low": 123,
"expected": 123,
"high": 123
},
"engagement": {
"low": 123,
"expected": 123,
"high": 123
}
},
"likely_comments": [
{
"author": "<string>",
"text": "<string>",
"tone": "positive"
}
],
"tips": [
"<string>"
]
}
}
],
"meta": {
"page_size": 0,
"cursor": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100meta.cursor from the previous page
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Only predictions in this status
Available options:
processing, succeeded, failed